Skip to main content

Version: 20.11 (EOL)

GET Form Groups

Retrieve the list of form groups sorted by database ID in descending order (the order can be customized).

info

The Form Groups REST API Overview provides an introduction to this REST API, including information about:

  • Security (authentication and authorization)

Request​

HTTP request​

GET https://<JM_SERVER>/manager/secure/rest/form-groups/v1/

Parameters​

The table below shows the request parameters that can be used as additional search criteria. All parameters are optional.

ParameterDescription
idA unique form group id.
groupNameA filter on the form group name.
formWorkGroupA filter on the formWorkGroup access control permission attribute.
Values: true, false

Example​

GET https://transact.maguire.com/manager/secure/rest/form-groups/v1/?groupName=Card Applicants

Response​

If successful, this operation returns a response with a HTTP 200 OK status code.

Example​

An example succcessful response is shown below.

[
{
"id": 42,
"groupName": "Card Applicants",
"groupDescription": "Credit Card Applicants",
"formWorkGroup": false,
"newForm": true,
"savedForm": true,
"completedForm": true,
"taskAssign": false
}
]